#ifndef __IMFEXPANSION_H__
#define __IMFEXPANSION_H__
#include <MFAtlas.h>
#ifdef __cplusplus
extern "C"
 {
#endif
struct IMFExpansionSt;
typedef struct IMFExpansionSt *IMFExpansion;

IMFExpansion IMFCreateExpansion(int,int);
void IMFFreeExpansion(IMFExpansion);
void IMFRefExpansion(IMFExpansion);

void IMFEvaluateExpansion(IMFExpansion,MFKVector,MFNVector);
void IMFEvaluateExpansionDirectionalDerivative(IMFExpansion,MFKVector,MFKVector,MFNVector);
void IMFEvaluateExpansionSecondDirectionalDerivative(IMFExpansion,MFKVector,MFKVector,MFKVector,MFNVector);
void IMFEvaluateExpansionDerivative(IMFExpansion,MFKVector,int,MFNVector);
void IMFEvaluateExpansionSecondDerivative(IMFExpansion,MFKVector,int,int,MFNVector);
void IMFEvaluateExpansionThirdDerivative(IMFExpansion,MFKVector,int,int,int,MFNVector);
void IMFEvaluateExpansionDirectionalDerivativeE(IMFExpansion,double*,double*,double*);

int IMFExpansionN(IMFExpansion);
int IMFExpansionK(IMFExpansion);
int IMFExpansionOrder(IMFExpansion);
double *IMFExpansionU(IMFExpansion);
double *IMFExpansionDu(IMFExpansion);
double *IMFExpansionDDu(IMFExpansion);
double *IMFExpansionDDDu(IMFExpansion);

void IMFExpnSetDerivatives(IMFExpansion,double*,double*,double*,double*);
char *IMFC(double,char*,int*);
void IMFPrintExpansion(FILE*,IMFExpansion);
IMFExpansion IMFCloneExpansion(IMFExpansion);

IMFExpansion IMFRectifyExpansion(IMFExpansion);
struct IMFFlowSt;
IMFExpansion IMFInflateExpansionWithFlow(IMFExpansion,struct IMFFlowSt*);
double IMFExpansionR(IMFExpansion,double);
MFNKMatrix IMFExpansionTS(IMFExpansion);
double *IMFExpansionData(IMFExpansion);
int IMFExpansionDataLn(IMFExpansion);
#ifdef __cplusplus
 }
#endif

#endif
