/* 
    @(#)MFAtlasFriends.h	1.5
    02/04/19 14:45:12
   
    PROGRAM NAME:  Manifold
   
    (c) COPYRIGHT INTERNATIONAL BUSINESS MACHINES
    CORPORATION 12/1/2001.  ALL RIGHTS RESERVED.
   
    Please refer to the LICENSE file in the top directory

*/
/*      author: Mike Henderson mhender@watson.ibm.com */
/*      date:   August 30, 1999                       */
#ifndef __MFATLASFRIENDS_H__
#define __MFATLASFRIENDS_H__
#include <MFAtlas.h>
#include <MFChart.h>
#include <MFNSpace.h>

/* Friend access routines */
#ifdef __cplusplus
extern "C"
 {
#endif

MFChart MFAtlasChart(MFAtlas,int);
int MFAtlasNumberOfHalfSpaces(MFAtlas);
int MFAtlasHalfSpaceIndex(MFAtlas,int);
int MFAtlasHalfSpaceLeftChart(MFAtlas,int);
int MFAtlasHalfSpaceRightChart(MFAtlas,int);
MFKVector MFAtlasHalfSpaceNormal(MFAtlas,int);
double MFAtlasHalfSpaceOrigin(MFAtlas,int);
int MFAtlasIsHalfSpaceHyperCube(MFAtlas,int);
int MFAtlasIsHalfSpaceInBothPolytopes(MFAtlas,int);
int MFAtlasLeftPolytope(MFAtlas,int);
int MFAtlasRightPolytope(MFAtlas,int);
MFNSpace MFAtlasNSpace(MFAtlas);
#ifdef __cplusplus
 }
#endif
#endif
