/* 
    @(#)MFDraw.h	1.5
    02/04/19 14:40:43
   
    PROGRAM NAME:  Manifold
   
    (c) COPYRIGHT INTERNATIONAL BUSINESS MACHINES
    CORPORATION 12/1/2001.  ALL RIGHTS RESERVED.
   
    Please refer to the LICENSE file in the top directory

*/
/*      author: Mike Henderson mhender@watson.ibm.com */

#ifndef __MFDRAW_H__
#define __MFDRAW_H__
#include <MFBase.h>
#include <MFAtlas.h>
#ifdef __cplusplus
extern "C"
 {
#endif

struct MFChartStateSt;
struct MFChartSt;
struct MFEnumPolytopeSt;
struct MFEnumDualPolytopeSt;
void MFDrawInitialize(float,float);
void MFDrawInitializeCube(float,float,float,float,float,float,float,float);
void MFDrawInitializeNoCube(float,float,float,float,float,float,float,float);
void MFDrawInitializeFromFile(char*);
void MFDrawClose(void);
void MFDrawClear(void);
void MFDrawDisplay(void);
void MFDrawAtlas(MFAtlas);
void MFDrawAtlasOnce(MFAtlas);
void MFDrawAtlasTS(MFAtlas);
void MFDrawEnumPolytope(struct MFEnumPolytopeSt*,struct MFChartSt*,struct MFChartStateSt*);
void MFDrawEnumDualPolytope(struct MFEnumDualPolytopeSt*);
void MFDrawEnumDualPolytopeEdges(struct MFEnumDualPolytopeSt*);
void MFPendulaPeriodic(int);
#ifdef __cplusplus
 }
#endif
#endif
