#ifndef __MFLOCA_H__
#define __MFLOCA_H__
/*
    @(#)MFLOCA.h	1.2
    02/07/18 15:08:33

    PROGRAM NAME:  Manifold

    (c) COPYRIGHT INTERNATIONAL BUSINESS MACHINES
    CORPORATION 12/1/2001.  ALL RIGHTS RESERVED.

    Please refer to the LICENSE file in the top directory

    author: Mike Henderson
    date:   April 21, 2002 for LOCA

*/

#include <MFNSpace.h>
#include <MFNRegion.h>
#include <MFImplicitMF.h>
#include <MFNVector.h>
#ifdef __cplusplus
extern "C"
 {
#endif
MFNSpace MFCreateLOCANSpace(void*);
MFNRegion MFNRegionCreateLOCA(void*);
MFImplicitMF MFIMFCreateLOCA(int,void*);
MFNVector MFCreateLOCANVectorWithData(int,double*,int,double*);
MFNVector MFCreateLOCANVector(int,int);
#ifdef __cplusplus
 }
#endif
#endif
