/* 
    @(#)MFTime.h	1.4
    02/04/19 14:42:43
   
    PROGRAM NAME:  Manifold
   
    (c) COPYRIGHT INTERNATIONAL BUSINESS MACHINES
    CORPORATION 12/1/2001.  ALL RIGHTS RESERVED.
   
    Please refer to the LICENSE file in the top directory

*/
/*      author: Mike Henderson mhender@watson.ibm.com */
/*      date:   Sept. 20, 1999                        */

#ifdef MFTIMINGS
#ifndef __MFTIMINGS_H__
#define __MFTIMINGS_H__
#include <time.h>
#include <stdio.h>
#ifdef __cplusplus
extern "C"
 {
#endif
clock_t MFTimeMFIMFCreatePolygonIn3SpaceWithRadius=0;
long MFCalledMFIMFCreatePolygonIn3SpaceWithRadius=0;
clock_t MFTimeMFFreePolygonIn3SpaceData=0;
long MFCalledMFFreePolygonIn3SpaceData=0;
clock_t MFTimeMFProjectPolygonIn3Space=0;
long MFCalledMFProjectPolygonIn3Space=0;
clock_t MFTimeMFTangentPolygonIn3Space=0;
long MFCalledMFTangentPolygonIn3Space=0;
clock_t MFTimeMFScalePolygonIn3Space=0;
long MFCalledMFScalePolygonIn3Space=0;
clock_t MFTimeMFWritePolygonIn3SpaceData=0;
long MFCalledMFWritePolygonIn3SpaceData=0;
clock_t MFTimeMFReadPolygonIn3Space=0;
long MFCalledMFReadPolygonIn3Space=0;
clock_t MFTimeMFCreateAtlas=0;
long MFCalledMFCreateAtlas=0;
clock_t MFTimeMFFreeAtlas=0;
long MFCalledMFFreeAtlas=0;
clock_t MFTimeMFAtlasK=0;
long MFCalledMFAtlasK=0;
clock_t MFTimeMFAtlasN=0;
long MFCalledMFAtlasN=0;
clock_t MFTimeMFNumberOfCharts=0;
long MFCalledMFNumberOfCharts=0;
clock_t MFTimeMFAtlasChartRadius=0;
long MFCalledMFAtlasChartRadius=0;
clock_t MFTimeMFAtlasCenterOfChart=0;
long MFCalledMFAtlasCenterOfChart=0;
clock_t MFTimeMFAtlasIsPointInChart=0;
long MFCalledMFAtlasIsPointInChart=0;
clock_t MFTimeMFAtlasEvaluateChart=0;
long MFCalledMFAtlasEvaluateChart=0;
clock_t MFTimeMFAtlasNumberOfChartsWithBoundary=0;
long MFCalledMFAtlasNumberOfChartsWithBoundary=0;
clock_t MFTimeMFAtlasChartWithBoundary=0;
long MFCalledMFAtlasChartWithBoundary=0;
clock_t MFTimeMFAtlasAddChartWithApproxTS=0;
long MFCalledMFAtlasAddChartWithApproxTS=0;
clock_t MFTimeMFAtlasPointOnBoundaryInsideRegion=0;
long MFCalledMFAtlasPointOnBoundaryInsideRegion=0;
clock_t MFTimeMFAddHalfSpaceToAtlas=0;
long MFCalledMFAddHalfSpaceToAtlas=0;
clock_t MFTimeMFAtlasChartCenter=0;
long MFCalledMFAtlasChartCenter=0;
clock_t MFTimeMFAtlasIsPointInPolytope=0;
long MFCalledMFAtlasIsPointInPolytope=0;
clock_t MFTimeMFAtlasOffset=0;
long MFCalledMFAtlasOffset=0;
clock_t MFTimeMFAtlasGlobalIndex=0;
long MFCalledMFAtlasGlobalIndex=0;
clock_t MFTimeMFAtlasIsHalfSpaceHyperCube=0;
long MFCalledMFAtlasIsHalfSpaceHyperCube=0;
clock_t MFTimeMFAtlasLeftPolytope=0;
long MFCalledMFAtlasLeftPolytope=0;
clock_t MFTimeMFAtlasRightPolytope=0;
long MFCalledMFAtlasRightPolytope=0;
clock_t MFTimeMFAtlasM=0;
long MFCalledMFAtlasM=0;
clock_t MFTimeMFAtlasIsHalfSpaceInBothPolytopes=0;
long MFCalledMFAtlasIsHalfSpaceInBothPolytopes=0;
clock_t MFTimeMFAtlasAddChartToBoundaryList=0;
long MFCalledMFAtlasAddChartToBoundaryList=0;
clock_t MFTimeMFAtlasRemoveChartFromBoundaryList=0;
long MFCalledMFAtlasRemoveChartFromBoundaryList=0;
clock_t MFTimeMFAddInitialHyperplanes=0;
long MFCalledMFAddInitialHyperplanes=0;
clock_t MFTimeMFAtlasAddChartToList=0;
long MFCalledMFAtlasAddChartToList=0;
clock_t MFTimeMFAtlasAddChart=0;
long MFCalledMFAtlasAddChart=0;
clock_t MFTimeMFAtlasChart=0;
long MFCalledMFAtlasChart=0;
clock_t MFTimeMFAtlasNumberOfHalfSpaces=0;
long MFCalledMFAtlasNumberOfHalfSpaces=0;
clock_t MFTimeMFAtlasHalfSpaceIndex=0;
long MFCalledMFAtlasHalfSpaceIndex=0;
clock_t MFTimeMFAtlasHalfSpaceLeftChart=0;
long MFCalledMFAtlasHalfSpaceLeftChart=0;
clock_t MFTimeMFAtlasHalfSpaceRightChart=0;
long MFCalledMFAtlasHalfSpaceRightChart=0;
clock_t MFTimeMFAtlasHalfSpaceNormal=0;
long MFCalledMFAtlasHalfSpaceNormal=0;
clock_t MFTimeMFAtlasHalfSpaceOrigin=0;
long MFCalledMFAtlasHalfSpaceOrigin=0;
clock_t MFTimeMFAtlasChartTangentSpace=0;
long MFCalledMFAtlasChartTangentSpace=0;
clock_t MFTimeMFReadAtlas=0;
long MFCalledMFReadAtlas=0;
clock_t MFTimeMFWriteAtlas=0;
long MFCalledMFWriteAtlas=0;
clock_t MFTimeMFAtlasMF=0;
long MFCalledMFAtlasMF=0;
clock_t MFTimeMFTestAtlas=0;
long MFCalledMFTestAtlas=0;
clock_t MFTimeMFAtlasReduceChartRadius=0;
long MFCalledMFAtlasReduceChartRadius=0;
clock_t MFTimeMFCreateBinaryTree=0;
long MFCalledMFCreateBinaryTree=0;
clock_t MFTimeMFCreateBinaryTreeLeaf=0;
long MFCalledMFCreateBinaryTreeLeaf=0;
clock_t MFTimeMFFreeBinaryTree=0;
long MFCalledMFFreeBinaryTree=0;
clock_t MFTimeMFFreeBinaryTreeLeaf=0;
long MFCalledMFFreeBinaryTreeLeaf=0;
clock_t MFTimeMFBinaryTreeAddChart=0;
long MFCalledMFBinaryTreeAddChart=0;
clock_t MFTimeMFBinaryTreeLeafAddChart=0;
long MFCalledMFBinaryTreeLeafAddChart=0;
clock_t MFTimeMFBinaryTreeGetIntersectingCharts=0;
long MFCalledMFBinaryTreeGetIntersectingCharts=0;
clock_t MFTimeMFCreateListOfIntersectingCharts=0;
long MFCalledMFCreateListOfIntersectingCharts=0;
clock_t MFTimeMFWriteBinaryTree=0;
long MFCalledMFWriteBinaryTree=0;
clock_t MFTimeMFReadBinaryTree=0;
long MFCalledMFReadBinaryTree=0;
clock_t MFTimeMFFreeCSTRData=0;
long MFCalledMFFreeCSTRData=0;
clock_t MFTimeMFScaleCSTR=0;
long MFCalledMFScaleCSTR=0;
clock_t MFTimeMFProjectCSTR=0;
long MFCalledMFProjectCSTR=0;
clock_t MFTimeMFTangentCSTR=0;
long MFCalledMFTangentCSTR=0;
clock_t MFTimeMFTangentCSTRWithGuess=0;
long MFCalledMFTangentCSTRWithGuess=0;
clock_t MFTimeCSTR=0;
long MFCalledCSTR=0;
clock_t MFTimedCSTR=0;
long MFCalleddCSTR=0;
clock_t MFTimeddCSTR=0;
long MFCalledddCSTR=0;
clock_t MFTimeMFCurvatureCSTR=0;
long MFCalledMFCurvatureCSTR=0;
clock_t MFTimeMFReadCSTR=0;
long MFCalledMFReadCSTR=0;
clock_t MFTimeMFWriteCSTRData=0;
long MFCalledMFWriteCSTRData=0;
clock_t MFTimeMFIMFCreateCSTR=0;
long MFCalledMFIMFCreateCSTR=0;
clock_t MFTimeMFCreateChart=0;
long MFCalledMFCreateChart=0;
clock_t MFTimeMFSubtractHalfSpaceFromChart=0;
long MFCalledMFSubtractHalfSpaceFromChart=0;
clock_t MFTimeMFRefChart=0;
long MFCalledMFRefChart=0;
clock_t MFTimeMFFreeChart=0;
long MFCalledMFFreeChart=0;
clock_t MFTimeMFChartPolytope=0;
long MFCalledMFChartPolytope=0;
clock_t MFTimeMFSetChartPolytope=0;
long MFCalledMFSetChartPolytope=0;
clock_t MFTimeMFSetChartRadius=0;
long MFCalledMFSetChartRadius=0;
clock_t MFTimeMFChartCenter=0;
long MFCalledMFChartCenter=0;
clock_t MFTimeMFChartTangentSpace=0;
long MFCalledMFChartTangentSpace=0;
clock_t MFTimeMFChartRadius=0;
long MFCalledMFChartRadius=0;
clock_t MFTimeMFChartEvaluate=0;
long MFCalledMFChartEvaluate=0;
clock_t MFTimeMFChartInterior=0;
long MFCalledMFChartInterior=0;
clock_t MFTimeMFChartProjectIntoTangentSpace=0;
long MFCalledMFChartProjectIntoTangentSpace=0;
clock_t MFTimeMFChartProjectVectorIntoTangentSpace=0;
long MFCalledMFChartProjectVectorIntoTangentSpace=0;
clock_t MFTimeMFChartPointInTangentSpace=0;
long MFCalledMFChartPointInTangentSpace=0;
clock_t MFTimeMFChartHasBoundary=0;
long MFCalledMFChartHasBoundary=0;
clock_t MFTimeMFChartK=0;
long MFCalledMFChartK=0;
clock_t MFTimeMFChartN=0;
long MFCalledMFChartN=0;
clock_t MFTimeMFWriteChart=0;
long MFCalledMFWriteChart=0;
clock_t MFTimeMFReadChart=0;
long MFCalledMFReadChart=0;
clock_t MFTimeMFChartTotallyInterior=0;
long MFCalledMFChartTotallyInterior=0;
clock_t MFTimeMFIMFCreateCircle=0;
long MFCalledMFIMFCreateCircle=0;
clock_t MFTimeMFFreeCircleData=0;
long MFCalledMFFreeCircleData=0;
clock_t MFTimeMFProjectCircle=0;
long MFCalledMFProjectCircle=0;
clock_t MFTimeMFTangentCircle=0;
long MFCalledMFTangentCircle=0;
clock_t MFTimeMFScaleCircle=0;
long MFCalledMFScaleCircle=0;
clock_t MFTimeMFWriteCircleData=0;
long MFCalledMFWriteCircleData=0;
clock_t MFTimeMFReadCircle=0;
long MFCalledMFReadCircle=0;
clock_t MFTimeMFPolytopeToDXFile=0;
long MFCalledMFPolytopeToDXFile=0;
clock_t MFTimeMFDrawInitialize=0;
long MFCalledMFDrawInitialize=0;
clock_t MFTimeMFDrawInitializeCube=0;
long MFCalledMFDrawInitializeCube=0;
clock_t MFTimeMFDrawClose=0;
long MFCalledMFDrawClose=0;
clock_t MFTimeMFDrawClear=0;
long MFCalledMFDrawClear=0;
clock_t MFTimeMFDrawDisplay=0;
long MFCalledMFDrawDisplay=0;
clock_t MFTimeMFDrawInterval=0;
long MFCalledMFDrawInterval=0;
clock_t MFTimeMFDrawPolygon=0;
long MFCalledMFDrawPolygon=0;
clock_t MFTimeMFDrawPolyhedron=0;
long MFCalledMFDrawPolyhedron=0;
clock_t MFTimeMFDrawPolytope=0;
long MFCalledMFDrawPolytope=0;
clock_t MFTimeMFDrawPolytopeTS=0;
long MFCalledMFDrawPolytopeTS=0;
clock_t MFTimeMFDraw1dChart=0;
long MFCalledMFDraw1dChart=0;
clock_t MFTimeMFDraw2dChart=0;
long MFCalledMFDraw2dChart=0;
clock_t MFTimeMFDraw3dChart=0;
long MFCalledMFDraw3dChart=0;
clock_t MFTimeMFDraw1dChartBoundary=0;
long MFCalledMFDraw1dChartBoundary=0;
clock_t MFTimeMFDraw2dChartBoundary=0;
long MFCalledMFDraw2dChartBoundary=0;
clock_t MFTimeMFDraw3dChartBoundary=0;
long MFCalledMFDraw3dChartBoundary=0;
clock_t MFTimeMFTest3dChartBoundary=0;
long MFCalledMFTest3dChartBoundary=0;
clock_t MFTimeMFDrawChart=0;
long MFCalledMFDrawChart=0;
clock_t MFTimeMFDrawChartBoundary=0;
long MFCalledMFDrawChartBoundary=0;
clock_t MFTimeMFDrawAtlas=0;
long MFCalledMFDrawAtlas=0;
clock_t MFTimeMFDrawAtlasOnce=0;
long MFCalledMFDrawAtlasOnce=0;
clock_t MFTimeMFDrawMakeListOfTriangles=0;
long MFCalledMFDrawMakeListOfTriangles=0;
clock_t MFTimeMFDrawProjectTo3d=0;
long MFCalledMFDrawProjectTo3d=0;
clock_t MFTimeMFDrawEnumPolytope=0;
long MFCalledMFDrawEnumPolytope=0;
clock_t MFTimeMFDrawMarkPoint=0;
long MFCalledMFDrawMarkPoint=0;
clock_t MFTimeMFDrawMarkPointOnChart=0;
long MFCalledMFDrawMarkPointOnChart=0;
clock_t MFTimeMFDrawLineOnChart=0;
long MFCalledMFDrawLineOnChart=0;
clock_t MFTimeMFDrawEnumDualPolytope=0;
long MFCalledMFDrawEnumDualPolytope=0;
clock_t MFTimeMFDrawLine=0;
long MFCalledMFDrawLine=0;
clock_t MFTimeMFDrawChartTS=0;
long MFCalledMFDrawChartTS=0;
clock_t MFTimeMFDrawAtlasTS=0;
long MFCalledMFDrawAtlasTS=0;
clock_t MFTimeMFDraw1dChartTS=0;
long MFCalledMFDraw1dChartTS=0;
clock_t MFTimeMFDraw2dChartTS=0;
long MFCalledMFDraw2dChartTS=0;
clock_t MFTimeMFDrawEnumPolytopeTS=0;
long MFCalledMFDrawEnumPolytopeTS=0;
clock_t MFTimeMFDrawLineOnChartTS=0;
long MFCalledMFDrawLineOnChartTS=0;
clock_t MFTimeMFCreateChartState=0;
long MFCalledMFCreateChartState=0;
clock_t MFTimeMFAddChartState=0;
long MFCalledMFAddChartState=0;
clock_t MFTimeMFNChartStates=0;
long MFCalledMFNChartStates=0;
clock_t MFTimeMFClearChartState=0;
long MFCalledMFClearChartState=0;
clock_t MFTimeMFFreeChartState=0;
long MFCalledMFFreeChartState=0;
clock_t MFTimeMFSetChartStateColor=0;
long MFCalledMFSetChartStateColor=0;
clock_t MFTimeMFChartStateAddPolygon=0;
long MFCalledMFChartStateAddPolygon=0;
clock_t MFTimeMFChartStateAddPolygonWithNormal=0;
long MFCalledMFChartStateAddPolygonWithNormal=0;
clock_t MFTimeMFChartStateAddLine=0;
long MFCalledMFChartStateAddLine=0;
clock_t MFTimeMFGetChartState=0;
long MFCalledMFGetChartState=0;
clock_t MFTimeMFChartStateChanged=0;
long MFCalledMFChartStateChanged=0;
clock_t MFTimeMFDrawChartFromState=0;
long MFCalledMFDrawChartFromState=0;
clock_t MFTimeMFFreeDrawCharts=0;
long MFCalledMFFreeDrawCharts=0;
clock_t MFTimeMFDrawClippedSphere=0;
long MFCalledMFDrawClippedSphere=0;
clock_t MFTimeMFEnumerateDual=0;
long MFCalledMFEnumerateDual=0;
clock_t MFTimeMFDualIntersectIndices=0;
long MFCalledMFDualIntersectIndices=0;
clock_t MFTimeMFCreateDualZeroCellV=0;
long MFCalledMFCreateDualZeroCellV=0;
clock_t MFTimeMFCreateDualZeroCell=0;
long MFCalledMFCreateDualZeroCell=0;
clock_t MFTimeMFCreateEmptyNComplex=0;
long MFCalledMFCreateEmptyNComplex=0;
clock_t MFTimeMFDualIndicesEqual=0;
long MFCalledMFDualIndicesEqual=0;
clock_t MFTimeMFFreeEnumDualPolytope=0;
long MFCalledMFFreeEnumDualPolytope=0;
clock_t MFTimeMFFreeDualCell=0;
long MFCalledMFFreeDualCell=0;
clock_t MFTimeMFEnumDualPolytopeNumberOfVertices=0;
long MFCalledMFEnumDualPolytopeNumberOfVertices=0;
clock_t MFTimeMFEnumDualPolytopeNumberOfCells=0;
long MFCalledMFEnumDualPolytopeNumberOfCells=0;
clock_t MFTimeMFEnumDualPolytopeNumberOfCellFaces=0;
long MFCalledMFEnumDualPolytopeNumberOfCellFaces=0;
clock_t MFTimeMFEnumDualPolytopeCellFace=0;
long MFCalledMFEnumDualPolytopeCellFace=0;
clock_t MFTimeMFEnumDualPolytopeNumberOfFaceCells=0;
long MFCalledMFEnumDualPolytopeNumberOfFaceCells=0;
clock_t MFTimeMFEnumDualPolytopeNumberOfCellIndices=0;
long MFCalledMFEnumDualPolytopeNumberOfCellIndices=0;
clock_t MFTimeMFEnumDualPolytopeCellIndex=0;
long MFCalledMFEnumDualPolytopeCellIndex=0;
clock_t MFTimeMFEnumDualPolytopeFaceCell=0;
long MFCalledMFEnumDualPolytopeFaceCell=0;
clock_t MFTimeEPSortDualPolytopeIndices=0;
long MFCalledEPSortDualPolytopeIndices=0;
clock_t MFTimeEPDualCollapseIndices=0;
long MFCalledEPDualCollapseIndices=0;
clock_t MFTimeMFCreateDualZeroCellWithEdgeList=0;
long MFCalledMFCreateDualZeroCellWithEdgeList=0;
clock_t MFTimeMFEnumDualPolytopeDimension=0;
long MFCalledMFEnumDualPolytopeDimension=0;
clock_t MFTimeMFTestEnumPolytope=0;
long MFCalledMFTestEnumPolytope=0;
clock_t MFTimeMFEnumDualPolytopeVerticesOnDualCell=0;
long MFCalledMFEnumDualPolytopeVerticesOnDualCell=0;
clock_t MFTimeMFEnumDualOfAtlas=0;
long MFCalledMFEnumDualOfAtlas=0;
clock_t MFTimeMFEnumDualPolytopeVertex=0;
long MFCalledMFEnumDualPolytopeVertex=0;
clock_t MFTimeMFTestEnumDualPolytope=0;
long MFCalledMFTestEnumDualPolytope=0;
clock_t MFTimeMFCreateDualOfEnumPolytope=0;
long MFCalledMFCreateDualOfEnumPolytope=0;
clock_t MFTimeMFEnumeratePolytope=0;
long MFCalledMFEnumeratePolytope=0;
clock_t MFTimeMFEnumerate=0;
long MFCalledMFEnumerate=0;
clock_t MFTimeMFIntersectIndices=0;
long MFCalledMFIntersectIndices=0;
clock_t MFTimeMFCreateZeroCellV=0;
long MFCalledMFCreateZeroCellV=0;
clock_t MFTimeMFCreateZeroCell=0;
long MFCalledMFCreateZeroCell=0;
clock_t MFTimeMFCreateEmptyKComplex=0;
long MFCalledMFCreateEmptyKComplex=0;
clock_t MFTimeMFIndicesEqual=0;
long MFCalledMFIndicesEqual=0;
clock_t MFTimeMFFreeEnumPolytope=0;
long MFCalledMFFreeEnumPolytope=0;
clock_t MFTimeMFFreeCell=0;
long MFCalledMFFreeCell=0;
clock_t MFTimeMFEnumPolytopeNumberOfVertices=0;
long MFCalledMFEnumPolytopeNumberOfVertices=0;
clock_t MFTimeMFEnumPolytopeNumberOfCells=0;
long MFCalledMFEnumPolytopeNumberOfCells=0;
clock_t MFTimeMFEnumPolytopeNumberOfCellFaces=0;
long MFCalledMFEnumPolytopeNumberOfCellFaces=0;
clock_t MFTimeMFEnumPolytopeCellFace=0;
long MFCalledMFEnumPolytopeCellFace=0;
clock_t MFTimeMFEnumPolytopeNumberOfFaceCells=0;
long MFCalledMFEnumPolytopeNumberOfFaceCells=0;
clock_t MFTimeMFEnumPolytopeNumberOfCellIndices=0;
long MFCalledMFEnumPolytopeNumberOfCellIndices=0;
clock_t MFTimeMFEnumPolytopeCellIndex=0;
long MFCalledMFEnumPolytopeCellIndex=0;
clock_t MFTimeMFEnumPolytopeFaceCell=0;
long MFCalledMFEnumPolytopeFaceCell=0;
clock_t MFTimeEPSortPolytopeIndices=0;
long MFCalledEPSortPolytopeIndices=0;
clock_t MFTimeEPCollapseIndices=0;
long MFCalledEPCollapseIndices=0;
clock_t MFTimeMFCreateZeroCellWithEdgeList=0;
long MFCalledMFCreateZeroCellWithEdgeList=0;
clock_t MFTimeMFEnumPolytopeDimension=0;
long MFCalledMFEnumPolytopeDimension=0;
clock_t MFTimeMFEnumPolytopeIsCellExterior=0;
long MFCalledMFEnumPolytopeIsCellExterior=0;
clock_t MFTimeMFEnumPolytopeVerticesOnCell=0;
long MFCalledMFEnumPolytopeVerticesOnCell=0;
clock_t MFTimeMFEnumerateAtlas=0;
long MFCalledMFEnumerateAtlas=0;
clock_t MFTimeMFEnumPolytopeVertex=0;
long MFCalledMFEnumPolytopeVertex=0;
clock_t MFTimeMFIMFCreateExpression=0;
long MFCalledMFIMFCreateExpression=0;
clock_t MFTimeMFFreeExpressionData=0;
long MFCalledMFFreeExpressionData=0;
clock_t MFTimeMFWriteExpressionData=0;
long MFCalledMFWriteExpressionData=0;
clock_t MFTimeMFReadExpression=0;
long MFCalledMFReadExpression=0;
clock_t MFTimeMFProjectExpression=0;
long MFCalledMFProjectExpression=0;
clock_t MFTimeMFTangentExpression=0;
long MFCalledMFTangentExpression=0;
clock_t MFTimeMFScaleExpression=0;
long MFCalledMFScaleExpression=0;
clock_t MFTimeMFIMFCreateFlat=0;
long MFCalledMFIMFCreateFlat=0;
clock_t MFTimeMFFreeFlatData=0;
long MFCalledMFFreeFlatData=0;
clock_t MFTimeMFProjectFlat=0;
long MFCalledMFProjectFlat=0;
clock_t MFTimeMFTangentFlat=0;
long MFCalledMFTangentFlat=0;
clock_t MFTimeMFWriteFlatData=0;
long MFCalledMFWriteFlatData=0;
clock_t MFTimeMFReadFlat=0;
long MFCalledMFReadFlat=0;
clock_t MFTimeMFRefImplicitMF=0;
long MFCalledMFRefImplicitMF=0;
clock_t MFTimeMFImplicitMFId=0;
long MFCalledMFImplicitMFId=0;
clock_t MFTimeMFFreeImplicitMF=0;
long MFCalledMFFreeImplicitMF=0;
clock_t MFTimeMFIMF_N=0;
long MFCalledMFIMF_N=0;
clock_t MFTimeMFIMF_K=0;
long MFCalledMFIMF_K=0;
clock_t MFTimeMFIMFNSpace=0;
long MFCalledMFIMFNSpace=0;
clock_t MFTimeMFIMFProject=0;
long MFCalledMFIMFProject=0;
clock_t MFTimeMFIMFTangentSpace=0;
long MFCalledMFIMFTangentSpace=0;
clock_t MFTimeMFIMFTangentSpaceWithGuess=0;
long MFCalledMFIMFTangentSpaceWithGuess=0;
clock_t MFTimeMFIMFScale=0;
long MFCalledMFIMFScale=0;
clock_t MFTimeMFWriteImplicitMF=0;
long MFCalledMFWriteImplicitMF=0;
clock_t MFTimeMFReadImplicitMF=0;
long MFCalledMFReadImplicitMF=0;
clock_t MFTimeMFCreateKVector=0;
long MFCalledMFCreateKVector=0;
clock_t MFTimeMFCreateKVectorWithFullData=0;
long MFCalledMFCreateKVectorWithFullData=0;
clock_t MFTimeMFFreeKVector=0;
long MFCalledMFFreeKVector=0;
clock_t MFTimeMFKV_NC=0;
long MFCalledMFKV_NC=0;
clock_t MFTimeMFKV_C=0;
long MFCalledMFKV_C=0;
clock_t MFTimeMFKVSetC=0;
long MFCalledMFKVSetC=0;
clock_t MFTimeMFRefKVector=0;
long MFCalledMFRefKVector=0;
clock_t MFTimeMFKVDot=0;
long MFCalledMFKVDot=0;
clock_t MFTimeMFKVNorm=0;
long MFCalledMFKVNorm=0;
clock_t MFTimeMFKVScale=0;
long MFCalledMFKVScale=0;
clock_t MFTimeMFKVScaleMul=0;
long MFCalledMFKVScaleMul=0;
clock_t MFTimeMFKV_CStar=0;
long MFCalledMFKV_CStar=0;
clock_t MFTimeMFKVDiff=0;
long MFCalledMFKVDiff=0;
clock_t MFTimeMFKVAdd=0;
long MFCalledMFKVAdd=0;
clock_t MFTimeMFWriteKVector=0;
long MFCalledMFWriteKVector=0;
clock_t MFTimeMFReadKVector=0;
long MFCalledMFReadKVector=0;
clock_t MFTimeMFCreateListOfCharts=0;
long MFCalledMFCreateListOfCharts=0;
clock_t MFTimeMFNumberOfIntersectingCharts=0;
long MFCalledMFNumberOfIntersectingCharts=0;
clock_t MFTimeMFIntersectingChart=0;
long MFCalledMFIntersectingChart=0;
clock_t MFTimeMFFreeListOfIntersectingCharts=0;
long MFCalledMFFreeListOfIntersectingCharts=0;
clock_t MFTimeMFFreeNKMatrix=0;
long MFCalledMFFreeNKMatrix=0;
clock_t MFTimeMFRefMatrix=0;
long MFCalledMFRefMatrix=0;
clock_t MFTimeMFCreateNKMatrix=0;
long MFCalledMFCreateNKMatrix=0;
clock_t MFTimeMFCreateNKMatrixWithData=0;
long MFCalledMFCreateNKMatrixWithData=0;
clock_t MFTimeMFNKM_CStar=0;
long MFCalledMFNKM_CStar=0;
clock_t MFTimeMFWriteNKMatrix=0;
long MFCalledMFWriteNKMatrix=0;
clock_t MFTimeMFReadNKMatrix=0;
long MFCalledMFReadNKMatrix=0;
clock_t MFTimeMFRegionInterior=0;
long MFCalledMFRegionInterior=0;
clock_t MFTimeMFFreeNRegion=0;
long MFCalledMFFreeNRegion=0;
clock_t MFTimeMFNRegionCreateCube=0;
long MFCalledMFNRegionCreateCube=0;
clock_t MFTimeCubeTest=0;
long MFCalledCubeTest=0;
clock_t MFTimeCubeFree=0;
long MFCalledCubeFree=0;
clock_t MFTimeMFNRegionCreateRectangle=0;
long MFCalledMFNRegionCreateRectangle=0;
clock_t MFTimeRectangleTest=0;
long MFCalledRectangleTest=0;
clock_t MFTimeRectangleFree=0;
long MFCalledRectangleFree=0;
clock_t MFTimeMFNRegionCreateHyperCube=0;
long MFCalledMFNRegionCreateHyperCube=0;
clock_t MFTimeHyperCubeTest=0;
long MFCalledHyperCubeTest=0;
clock_t MFTimeHyperCubeFree=0;
long MFCalledHyperCubeFree=0;
clock_t MFTimeMFNRegionCreatePendula=0;
long MFCalledMFNRegionCreatePendula=0;
clock_t MFTimePendulaTest=0;
long MFCalledPendulaTest=0;
clock_t MFTimePendulaFree=0;
long MFCalledPendulaFree=0;
clock_t MFTimeMFNRegionCreatePendulaFour=0;
long MFCalledMFNRegionCreatePendulaFour=0;
clock_t MFTimePendulaFourTest=0;
long MFCalledPendulaFourTest=0;
clock_t MFTimePendulaFourFree=0;
long MFCalledPendulaFourFree=0;
clock_t MFTimeMFNRegionCreateDodecahedronMinusIcosahedron=0;
long MFCalledMFNRegionCreateDodecahedronMinusIcosahedron=0;
clock_t MFTimeDodIcosTest=0;
long MFCalledDodIcosTest=0;
clock_t MFTimeDodIcosFree=0;
long MFCalledDodIcosFree=0;
clock_t MFTimeMFNRegionCreatePolygonal3dRegion=0;
long MFCalledMFNRegionCreatePolygonal3dRegion=0;
clock_t MFTimeMF3dPolygonTest=0;
long MFCalledMF3dPolygonTest=0;
clock_t MFTimeMF3dPolygonFree=0;
long MFCalledMF3dPolygonFree=0;
clock_t MFTimeMFCreateNSpace=0;
long MFCalledMFCreateNSpace=0;
clock_t MFTimeMFCreateWeightedNSpace=0;
long MFCalledMFCreateWeightedNSpace=0;
clock_t MFTimeMFCreateNSpaceWithExponents=0;
long MFCalledMFCreateNSpaceWithExponents=0;
clock_t MFTimeMFCreateWeightedNSpaceWithExponents=0;
long MFCalledMFCreateWeightedNSpaceWithExponents=0;
clock_t MFTimeMFRefNSpace=0;
long MFCalledMFRefNSpace=0;
clock_t MFTimeMFFreeNSpace=0;
long MFCalledMFFreeNSpace=0;
clock_t MFTimeMFNSpaceDistance=0;
long MFCalledMFNSpaceDistance=0;
clock_t MFTimeMFNSpaceDirection=0;
long MFCalledMFNSpaceDirection=0;
clock_t MFTimeMFNSpaceInner=0;
long MFCalledMFNSpaceInner=0;
clock_t MFTimeMFWriteNSpace=0;
long MFCalledMFWriteNSpace=0;
clock_t MFTimeMFReadNSpace=0;
long MFCalledMFReadNSpace=0;
clock_t MFTimeMFIMFCreateNSpace=0;
long MFCalledMFIMFCreateNSpace=0;
clock_t MFTimeMFIMFCreateNSpaceWithData=0;
long MFCalledMFIMFCreateNSpaceWithData=0;
clock_t MFTimeMFFreeNSpaceData=0;
long MFCalledMFFreeNSpaceData=0;
clock_t MFTimeMFProjectNSpace=0;
long MFCalledMFProjectNSpace=0;
clock_t MFTimeMFTangentNSpace=0;
long MFCalledMFTangentNSpace=0;
clock_t MFTimeMFScaleNSpace=0;
long MFCalledMFScaleNSpace=0;
clock_t MFTimeMFWriteNSpaceData=0;
long MFCalledMFWriteNSpaceData=0;
clock_t MFTimeMFReadNSpaceMF=0;
long MFCalledMFReadNSpaceMF=0;
clock_t MFTimeMFCreateNVector=0;
long MFCalledMFCreateNVector=0;
clock_t MFTimeMFCreateNVectorWithFullData=0;
long MFCalledMFCreateNVectorWithFullData=0;
clock_t MFTimeMFFreeNVector=0;
long MFCalledMFFreeNVector=0;
clock_t MFTimeMFNV_NC=0;
long MFCalledMFNV_NC=0;
clock_t MFTimeMFNV_C=0;
long MFCalledMFNV_C=0;
clock_t MFTimeMFNVSetC=0;
long MFCalledMFNVSetC=0;
clock_t MFTimeMFRefNVector=0;
long MFCalledMFRefNVector=0;
clock_t MFTimeMFNVDiff=0;
long MFCalledMFNVDiff=0;
clock_t MFTimeMFNVAdd=0;
long MFCalledMFNVAdd=0;
clock_t MFTimeMFNV_CStar=0;
long MFCalledMFNV_CStar=0;
clock_t MFTimeMFWriteNVector=0;
long MFCalledMFWriteNVector=0;
clock_t MFTimeMFReadNVector=0;
long MFCalledMFReadNVector=0;
clock_t MFTimeMFIMFCreatePendula=0;
long MFCalledMFIMFCreatePendula=0;
clock_t MFTimeMFFreePendulaData=0;
long MFCalledMFFreePendulaData=0;
clock_t MFTimeMFScalePendula=0;
long MFCalledMFScalePendula=0;
clock_t MFTimeGPendula=0;
long MFCalledGPendula=0;
clock_t MFTimeMFProjectPendula=0;
long MFCalledMFProjectPendula=0;
clock_t MFTimeMFTangentPendula=0;
long MFCalledMFTangentPendula=0;
clock_t MFTimeMFTangentPendulaWithGuess=0;
long MFCalledMFTangentPendulaWithGuess=0;
clock_t MFTimeGuPendula=0;
long MFCalledGuPendula=0;
clock_t MFTimeTGuuPendula=0;
long MFCalledTGuuPendula=0;
clock_t MFTimeTGuPendula=0;
long MFCalledTGuPendula=0;
clock_t MFTimeGuuPendula=0;
long MFCalledGuuPendula=0;
clock_t MFTimeMFWritePendulaData=0;
long MFCalledMFWritePendulaData=0;
clock_t MFTimeMFReadPendula=0;
long MFCalledMFReadPendula=0;
clock_t MFTimeMFReadPendulaFour=0;
long MFCalledMFReadPendulaFour=0;
clock_t MFTimeMFFreePendulaFourData=0;
long MFCalledMFFreePendulaFourData=0;
clock_t MFTimeMFScalePendulaFour=0;
long MFCalledMFScalePendulaFour=0;
clock_t MFTimeGPendulaFour=0;
long MFCalledGPendulaFour=0;
clock_t MFTimeMFProjectPendulaFour=0;
long MFCalledMFProjectPendulaFour=0;
clock_t MFTimeMFTangentPendulaFour=0;
long MFCalledMFTangentPendulaFour=0;
clock_t MFTimeMFTangentPendulaFourWithGuess=0;
long MFCalledMFTangentPendulaFourWithGuess=0;
clock_t MFTimeGuPendulaFour=0;
long MFCalledGuPendulaFour=0;
clock_t MFTimeTGuuPendulaFour=0;
long MFCalledTGuuPendulaFour=0;
clock_t MFTimeGuuPendulaFour=0;
long MFCalledGuuPendulaFour=0;
clock_t MFTimeMFWritePendulaFourData=0;
long MFCalledMFWritePendulaFourData=0;
clock_t MFTimeMFIMFCreatePendulaFour=0;
long MFCalledMFIMFCreatePendulaFour=0;
clock_t MFTimeMFIMFCreatePlane=0;
long MFCalledMFIMFCreatePlane=0;
clock_t MFTimeMFFreePlaneData=0;
long MFCalledMFFreePlaneData=0;
clock_t MFTimeMFProjectPlane=0;
long MFCalledMFProjectPlane=0;
clock_t MFTimeMFTangentPlane=0;
long MFCalledMFTangentPlane=0;
clock_t MFTimeMFScalePlane=0;
long MFCalledMFScalePlane=0;
clock_t MFTimeMFWritePlaneData=0;
long MFCalledMFWritePlaneData=0;
clock_t MFTimeMFReadPlane=0;
long MFCalledMFReadPlane=0;
clock_t MFTimeMFCreateHyperCubeAtOrigin=0;
long MFCalledMFCreateHyperCubeAtOrigin=0;
clock_t MFTimeMFCreateSimplexAtOrigin=0;
long MFCalledMFCreateSimplexAtOrigin=0;
clock_t MFTimeMFFreePolytope=0;
long MFCalledMFFreePolytope=0;
clock_t MFTimeMFSubtractHalfSpaceFromPolytope=0;
long MFCalledMFSubtractHalfSpaceFromPolytope=0;
clock_t MFTimeMFPolytopeDimension=0;
long MFCalledMFPolytopeDimension=0;
clock_t MFTimeMFPolytopeNumberOfVertices=0;
long MFCalledMFPolytopeNumberOfVertices=0;
clock_t MFTimeMFPolytopeVertex=0;
long MFCalledMFPolytopeVertex=0;
clock_t MFTimeMFPolytopeNumberOfVertexIndices=0;
long MFCalledMFPolytopeNumberOfVertexIndices=0;
clock_t MFTimeMFPolytopeVertexIndex=0;
long MFCalledMFPolytopeVertexIndex=0;
clock_t MFTimeMFPolytopeVertexIndexSet=0;
long MFCalledMFPolytopeVertexIndexSet=0;
clock_t MFTimeMFPolytopeVertexNumberOfIndices=0;
long MFCalledMFPolytopeVertexNumberOfIndices=0;
clock_t MFTimeMFPolytopeAddVertex=0;
long MFCalledMFPolytopeAddVertex=0;
clock_t MFTimeMFPolytopeAddVertexIndexIntoSet=0;
long MFCalledMFPolytopeAddVertexIndexIntoSet=0;
clock_t MFTimeMFPolytopeIntersectIndexSets=0;
long MFCalledMFPolytopeIntersectIndexSets=0;
clock_t MFTimeMFPolytopeNumberOfFaces=0;
long MFCalledMFPolytopeNumberOfFaces=0;
clock_t MFTimeMFPolytopeFaceIndex=0;
long MFCalledMFPolytopeFaceIndex=0;
clock_t MFTimeMFPolytopeFaceNormal=0;
long MFCalledMFPolytopeFaceNormal=0;
clock_t MFTimeMFPolytopeFaceOrigin=0;
long MFCalledMFPolytopeFaceOrigin=0;
clock_t MFTimeMFPolytopeNumberOfVerticesOnFace=0;
long MFCalledMFPolytopeNumberOfVerticesOnFace=0;
clock_t MFTimeMFPolytopeRadiusOfVertex=0;
long MFCalledMFPolytopeRadiusOfVertex=0;
clock_t MFTimeMFPolytopeUpdateFaceList=0;
long MFCalledMFPolytopeUpdateFaceList=0;
clock_t MFTimeMFPolytopeVerticesOnSameEdge=0;
long MFCalledMFPolytopeVerticesOnSameEdge=0;
clock_t MFTimeMFPolytopeVerticesOnEdgeWithIndexLessThan=0;
long MFCalledMFPolytopeVerticesOnEdgeWithIndexLessThan=0;
clock_t MFTimeMFPolytopeVertexLargestIndex=0;
long MFCalledMFPolytopeVertexLargestIndex=0;
clock_t MFTimeMFPolytopeVertexSmallestIndex=0;
long MFCalledMFPolytopeVertexSmallestIndex=0;
clock_t MFTimeMFPolytopeLargestVertexIndex=0;
long MFCalledMFPolytopeLargestVertexIndex=0;
clock_t MFTimeMFPolytopeSmallestVertexIndex=0;
long MFCalledMFPolytopeSmallestVertexIndex=0;
clock_t MFTimeMFPolytopeInterior=0;
long MFCalledMFPolytopeInterior=0;
clock_t MFTimeMFPolytopeTotallyInterior=0;
long MFCalledMFPolytopeTotallyInterior=0;
clock_t MFTimeMFPolytopeLargestRadiusOfVertex=0;
long MFCalledMFPolytopeLargestRadiusOfVertex=0;
clock_t MFTimeMFWritePolytope=0;
long MFCalledMFWritePolytope=0;
clock_t MFTimeMFReadPolytope=0;
long MFCalledMFReadPolytope=0;
clock_t MFTimeMFTestPolytope=0;
long MFCalledMFTestPolytope=0;
clock_t MFTimeMFPolytopeMergeCloseVertices=0;
long MFCalledMFPolytopeMergeCloseVertices=0;
clock_t MFTimeMFPolytopeMergeVertices=0;
long MFCalledMFPolytopeMergeVertices=0;
clock_t MFTimeMFPolytopeUnionOfIndexSets=0;
long MFCalledMFPolytopeUnionOfIndexSets=0;
clock_t MFTimeMFTestVertexIndexOrder=0;
long MFCalledMFTestVertexIndexOrder=0;
clock_t MFTimeMFPolytopeTestVertexList=0;
long MFCalledMFPolytopeTestVertexList=0;
clock_t MFTimeMFIMFCreateSphere=0;
long MFCalledMFIMFCreateSphere=0;
clock_t MFTimeMFFreeSphereData=0;
long MFCalledMFFreeSphereData=0;
clock_t MFTimeMFProjectSphere=0;
long MFCalledMFProjectSphere=0;
clock_t MFTimeMFTangentSphere=0;
long MFCalledMFTangentSphere=0;
clock_t MFTimeMFScaleSphere=0;
long MFCalledMFScaleSphere=0;
clock_t MFTimeMFWriteSphereData=0;
long MFCalledMFWriteSphereData=0;
clock_t MFTimeMFReadSphere=0;
long MFCalledMFReadSphere=0;
clock_t MFTimeMFIMFCreateSwallow=0;
long MFCalledMFIMFCreateSwallow=0;
clock_t MFTimeMFFreeSwallowData=0;
long MFCalledMFFreeSwallowData=0;
clock_t MFTimeMFProjectSwallow=0;
long MFCalledMFProjectSwallow=0;
clock_t MFTimeMFTangentSwallow=0;
long MFCalledMFTangentSwallow=0;
clock_t MFTimeMFScaleSwallow=0;
long MFCalledMFScaleSwallow=0;
clock_t MFTimeMFWriteSwallowData=0;
long MFCalledMFWriteSwallowData=0;
clock_t MFTimeMFReadSwallow=0;
long MFCalledMFReadSwallow=0;
clock_t MFTimeMFIMFCreateTorus=0;
long MFCalledMFIMFCreateTorus=0;
clock_t MFTimeMFFreeTorusData=0;
long MFCalledMFFreeTorusData=0;
clock_t MFTimeMFProjectTorus=0;
long MFCalledMFProjectTorus=0;
clock_t MFTimeMFTangentTorus=0;
long MFCalledMFTangentTorus=0;
clock_t MFTimeMFScaleTorus=0;
long MFCalledMFScaleTorus=0;
clock_t MFTimeMFWriteTorusData=0;
long MFCalledMFWriteTorusData=0;
clock_t MFTimeMFReadTorus=0;
long MFCalledMFReadTorus=0;
clock_t MFTimeMFAtlasNumberOfCharts=0;
long MFCalledMFAtlasNumberOfCharts=0;
clock_t MFTimeMFCreateNVectorWithData=0;
long MFCalledMFCreateNVectorWithData=0;
clock_t MFTimeMFCreateKVectorWithData=0;
long MFCalledMFCreateKVectorWithData=0;
clock_t MFTimeMFMVMul=0;
long MFCalledMFMVMul=0;
clock_t MFTimeMFMVMulT=0;
long MFCalledMFMVMulT=0;
clock_t MFTimeMFMColumn=0;
long MFCalledMFMColumn=0;
clock_t MFTimeMFMRow=0;
long MFCalledMFMRow=0;
clock_t MFTimeMFTestBoundaryPoint=0;
long MFCalledMFTestBoundaryPoint=0;

void MFTimeReset(void);
void MFTimeReport(FILE*);
clock_t clock(void);
#ifdef __cplusplus
 }
#endif
#endif
#endif
